/*	$Csoft: textbuf.h,v 1.2 2003/11/12 01:42:20 vedge Exp $	*/
/*	Public domain	*/

struct textbuf {
	char	 encoding[16];	/* Character encoding */
	char	*buf;		/* Text buffer */
	size_t	 buf_len;	/* Length of buffer in bytes */
	size_t	 len;		/* Length of text in bytes (NUL excluded) */
};

__BEGIN_DECLS
void	textbuf_init(struct textbuf *, size_t, const char *);
void	textbuf_destroy(struct textbuf *);
size_t	textbuf_append(struct textbuf *, const char *);
size_t	textbuf_append_utf8(struct textbuf *, const char *);
size_t	textbuf_append_char(struct textbuf *, char);
size_t	textbuf_append_fmt(struct textbuf *, const char *, ...)
	    FORMAT_ATTRIBUTE(__printf__, 2, 3)
	    NONNULL_ATTRIBUTE(2);
__END_DECLS

