#!/bin/sh
#
#	$Csoft: dist.sh,v 1.2 2005/07/06 08:28:10 vedge Exp $

VER=1.0
DISTFILE=csoft-cgi-${VER}

cd ..
echo "snapshot: csoft-cgi-${VER}"
rm -fr csoft-cgi-${VER}
cp -fRp csoft-cgi csoft-cgi-${VER}
rm -fR `find csoft-cgi-${VER} \( -name CVS \
    -or -name \*~ \
    -or -name \*.o \
    -or -name \*.a \
    -or -name \*.core \
    -or -name .\*.swp \
    -or -name .depend \
    -or -name .xvpics \)`

echo "packaging"
tar -f ${DISTFILE}.tar -c csoft-cgi-${VER}
gzip -f9 ${DISTFILE}.tar
md5 ${DISTFILE}.tar.gz > ${DISTFILE}.tar.gz.md5
rmd160 ${DISTFILE}.tar.gz >> ${DISTFILE}.tar.gz.md5
sha1 ${DISTFILE}.tar.gz >> ${DISTFILE}.tar.gz.md5
gpg -ab ${DISTFILE}.tar.gz

echo "uploading"
scp -C ${DISTFILE}.tar.{gz,gz.md5,gz.asc} vedge@resin:www/stable/csoft-cgi

