/*	$Csoft: mime.h,v 1.2 2005/07/06 07:36:38 vedge Exp $	*/
/*	Public domain	*/

struct mime_entity {
	char	 **headers;
	int	  nheaders;
	char	 *body;
	size_t	  body_len;
	TAILQ_HEAD(,mime_entity) multiparts;
	TAILQ_ENTRY(mime_entity) parts;
};

void	 mime_init_entity(struct mime_entity *);
void	 mime_destroy_entity(struct mime_entity *);
void	 mime_add_header(struct mime_entity *, const char *, ...);
void	 mime_add_header_str(struct mime_entity *, const char *);
void	 mime_write(struct cgi_query *, struct mime_entity *);

