/*	$Csoft: var.h,v 1.2 2003/11/12 01:42:20 vedge Exp $	*/
/*	Public domain	*/

#ifndef _LIBCGI_VAR_H_
#define _LIBCGI_VAR_H_

#define VAR_NAME_MAX	32

/* User variable (ie. for substitution in HTML documents). */
struct var {
	char	 key[VAR_NAME_MAX];	/* Variable name */
	char	*value;			/* Variable value */
	size_t	 value_len;		/* Length in characters */
	int	 global;		/* Persist across queries */
	SLIST_ENTRY(var) vars;
};

__BEGIN_DECLS
char		*var_get(const char *);
struct var	*var_set(const char *, const char *, ...)
		     FORMAT_ATTRIBUTE(__printf__, 2, 3);
struct var	*var_set_global(const char *, const char *, ...)
		     FORMAT_ATTRIBUTE(__printf__, 2, 3);
void		 var_append(struct var *, const char *, ...)
		     FORMAT_ATTRIBUTE(__printf__, 2, 3);
__END_DECLS

#endif /* _LIBCGI_CGI_H_ */
